Subject: [multipathtcp] MPTCP on Linux 3.2 kernel?

From: Virgil Kuruthers <[email-masked]>
Date: Fri, 6 Jun 2014 08:30:53 -0700

Hi All,

I'm working on embedded Linux datalogging devices.  I'd like to investigate
using MPTCP.  My systems typically have Ethernet, Wifi and cellular modems.
 It would be ideal if I could specify rules stating the priority of
interfaces to use and have a hand-off occur without needing to re-establish
each TCP connection.

My systems use the 3.2 Linux kernel however.  How much work would it be to
get MPTCP working on 3.2?

Thank you,
Virgil